<?php

namespace KupShop\ContentBundle\Resources\script;

use KupShop\AdminBundle\Util\Script\Script;

class OldArticleTagsScript extends Script
{
    protected static $name = 'Otagovat staré články bez Bločku';

    protected function run(array $arguments)
    {
        $this->log('Vytvářím tag "Článek s hlavním obrázkem"');
        sqlQuery("INSERT INTO articles_tags (tag) VALUES ('Článek s hlavním obrázkem');");

        $id = sqlInsertId();
        $this->log('Tag ID:', $id);

        $this->log('Značkuju články');
        sqlQuery("INSERT INTO articles_tags_relation SELECT id, '{$id}' FROM articles");
    }
}

return OldArticleTagsScript::class;
